// This hook for Get method to catch data and loading and error status and used it to handle second request 
// when useEffect Hook call
"use client"
import { useEffect, useState } from "react";
import { Helper } from "../api/helper";

const useFetch =  ({url , body ,params} )=>{
    const [data, setData ] = useState(null)
    const [isLoading , setIsLoading ] = useState(true)
    const [error , setError] = useState(null)
    useEffect( ()=>{
        const abortController = new AbortController()
        const getData = async(signal)=>{
            const {response,message} = await Helper({
                url:url,
                params:params,
                hasToken:true,
                method:"GET",
                signal:signal
            })
            if(response){
                console.log(response);
            }else{
                console.log(message);
            }
            
        }
       getData(abortController.signal)

        return ()=>{
            abortController.abort()
        }
    },[url])

   
    return { data , isLoading , error }

}
export default useFetch